summaryrefslogtreecommitdiff
path: root/eclass/flag-o-matic.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/flag-o-matic.eclass')
-rw-r--r--eclass/flag-o-matic.eclass8
1 files changed, 3 insertions, 5 deletions
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index f882b09d6219..89b259cc222f 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -436,13 +436,11 @@ test-flag-PROG() {
[[ -z ${comp} || -z $1 ]] && return 1
# verify selected compiler exists before using it
- comp=($(tc-get${comp}))
- # 'comp' can already contain compiler options.
- # 'type' needs a binary name
- type -p ${comp[0]} >/dev/null || return 1
+ comp=$(tc-get${comp})
+ type -p ${comp} >/dev/null || return 1
local cmdline=(
- "${comp[@]}"
+ ${comp}
# Clang will warn about unknown gcc flags but exit 0.
# Need -Werror to force it to exit non-zero.
-Werror